#pragma once
#include <SPI.h>
#include <MFRC522.h>
class Rfid
{
private:
    MFRC522 _mfrc522; // Create MFRC522 instance
    MFRC522::MIFARE_Key _key;
    int _status = 0;
    String _rfid = "";
    String _lastRfid = "";
    unsigned long _lastRfidScan = 0;
public:
    Rfid(/* args */);
    ~Rfid();
    void begin();
    void scan();
    bool available();
    String getID();
};